Bug 1292217 - package command fails due to missing requires on libguestfs-tools-c
package command fails due to missing requires on libguestfs-tools-c
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vagrant-libvirt (Show other bugs)
rawhide
Unspecified Linux
high Severity high
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 13:39 EST by Roland Grunberg
Modified: 2017-02-06 08:18 EST (History)
8 users (show)

See Also:
Fixed In Version: vagrant-libvirt-0.0.37-2.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-06 07:49:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Grunberg 2015-12-16 13:39:37 EST
(Assuming the user has already set read permissions for the base image under /var/lib/libvirt/images/ )

The first error is due to missing requires on libguestfs-tools-c , which provides virt-sysprep

$ vagrant package 624a8d7 --output foo.box
WARNING: Nokogiri was built against LibXML version 2.9.2, but has dynamically loaded 2.9.3
==> f23lbox: translation missing: en.vagrant_libvirt.package_domain
==> f23lbox: Image has backing image, copying image and rebasing ...
/home/rgrunberg/.vagrant.d/gems/gems/vagrant-libvirt-0.0.32/lib/vagrant-libvirt/action/package_domain.rb:40:in ``': No such file or directory - virt-sysprep (Errno::ENOENT)
	from /home/rgrunberg/.vagrant.d/gems/gems/vagrant-libvirt-0.0.32/lib/vagrant-libvirt/action/package_domain.rb:40:in `call'
	from /usr/share/vagrant/lib/vagrant/action/warden.rb:34:in `call'
	from /usr/share/vagrant/lib/vagrant/action/builtin/config_validate.rb:25:in `call'
	from /usr/share/vagrant/lib/vagrant/action/warden.rb:34:in `call'
	from /usr/share/vagrant/lib/vagrant/action/builder.rb:116:in `call'
	from /usr/share/vagrant/lib/vagrant/action/runner.rb:66:in `block in run'
	from /usr/share/vagrant/lib/vagrant/util/busy.rb:19:in `busy'
	from /usr/share/vagrant/lib/vagrant/action/runner.rb:66:in `run'
	from /usr/share/vagrant/lib/vagrant/machine.rb:214:in `action_raw'
	from /usr/share/vagrant/lib/vagrant/machine.rb:191:in `block in action'
	from /usr/share/vagrant/lib/vagrant/environment.rb:516:in `lock'
	from /usr/share/vagrant/lib/vagrant/machine.rb:178:in `call'
	from /usr/share/vagrant/lib/vagrant/machine.rb:178:in `action'
	from /usr/share/vagrant/plugins/commands/package/command.rb:83:in `package_vm'
	from /usr/share/vagrant/plugins/commands/package/command.rb:72:in `block in package_target'
	from /usr/share/vagrant/lib/vagrant/plugin/v2/command.rb:226:in `block in with_target_vms'
	from /usr/share/vagrant/lib/vagrant/plugin/v2/command.rb:220:in `each'
	from /usr/share/vagrant/lib/vagrant/plugin/v2/command.rb:220:in `with_target_vms'
	from /usr/share/vagrant/plugins/commands/package/command.rb:70:in `package_target'
	from /usr/share/vagrant/plugins/commands/package/command.rb:44:in `execute'
	from /usr/share/vagrant/lib/vagrant/cli.rb:42:in `execute'
	from /usr/share/vagrant/lib/vagrant/environment.rb:301:in `cli'
	from /usr/share/vagrant/bin/vagrant:179:in `<main>'
Comment 1 Gerard Ryan 2016-01-17 16:09:09 EST
Installing libguestfs-tools-c fixed this issue for me. Thanks Roland!
Comment 2 Vít Ondruch 2016-08-08 07:51:05 EDT
Hmmm, not sure I want to add 'Requires: %{_bindir}/virt-sysprep' ... probably Recommends would be better ... thoughts?
Comment 3 Richard W.M. Jones 2016-08-08 08:39:39 EDT
Can't offer much advice except to read:
https://fedoraproject.org/wiki/Packaging:Guidelines#Weak_dependencies

and don't require "libguestfs-tools" (which will pull in Perl).
Comment 4 Fedora End Of Life 2016-11-24 09:16:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Vít Ondruch 2016-11-25 10:27:01 EST
This is very likely still issue ...
Comment 6 Michal Sekletar 2016-12-23 08:07:47 EST
(In reply to Vít Ondruch from comment #5)
> This is very likely still issue ...

Indeed. I encountered this problem today. Btw, I am also +1 on Recommends: libguestfs-tools-c in vagrant-libvirt.spec.

Note You need to log in before you can comment on or make changes to this bug.